fusialDocs

List audit events

GET
/audit-events
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Query Parameters

action?array<>

Filter by one or more actions. Repeat for multiple values.

actorId?string

Filter to actions by this member's user id.

apiKeyId?string

Filter to actions taken with this API key.

via?string

api for actions taken with any API key, user for actions taken by a signed-in member.

contractId?string

Filter to actions on one contract.

from?string

Inclusive start date, YYYY-MM-DD (UTC).

to?string

Inclusive end date, YYYY-MM-DD (UTC).

limit?integer

Rows per page. Values above 200 are clamped.

cursor?string

The nextCursor from the previous page.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/audit-events"
{
  "data": [
    {
      "id": "string",
      "action": "CONTRACT_CREATED",
      "createdAt": "2019-08-24T14:15:22Z",
      "actor": {
        "id": "string",
        "name": "string",
        "email": "string"
      },
      "apiKey": {
        "id": "string",
        "name": "string"
      },
      "contract": {
        "id": "string",
        "title": "string"
      },
      "payload": null
    }
  ],
  "nextCursor": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}